shinyUI(fluidPage(

  titlePanel("Pearson's Correlation Coefficient"),
  
  
  sidebarLayout(
    sidebarPanel( 
      radioButtons("whichgraph", "Type of Graphics",
             c("ggplot2" = "ggplot2","base" = "base"),inline=TRUE),
      uiOutput("checkGraph"), 
      conditionalPanel(condition = "input.mytabs!='Pick your own Points!'",      
          numericInput("n", "Number of Points:", value = 250,
             min = 10, max = 1000,step=1),
          sliderInput("rho","Correlation Coefficient",
           min=-1.0, max=1.0, value=0, step=0.01),
          selectInput("out","Include Outliers?",
            choices=c("No","Yes")),
          conditionalPanel( condition = "input.out == 'Yes'",
            numericInput("m","How many?",  
                  min=1,max=10,value=1))), 
       conditionalPanel(condition = "input.mytabs=='Pick your own Points!'",           
            uiOutput("textpoints"),       
            actionButton("exclude_reset", "Reset")),
       conditionalPanel(condition = "input.mytabs=='Pick your own Points!'",                
            radioButtons("reg1", "With Least Squares Regreesion Line?",
                c("no" = "no","yes" = "yes"),inline=TRUE)),
       conditionalPanel(condition = "input.mytabs=='Scatterplot'",                
            radioButtons("reg2", "With Least Squares Regreesion Line?",
                c("no" = "no","yes" = "yes"),inline=TRUE)),                                   
      uiOutput("appinfo"),width=3             
    ),
  mainPanel(
      tabsetPanel(
          tabPanel("Scatterplot",uiOutput("text1"),
              plotOutput("scplot", width = "600px", height = "600px")),
          tabPanel("Pick your own Points!",
              plotOutput("plotpoints", width = 450, height = 450,click = "plot1_click")),    
          tabPanel("Histogram",uiOutput("text3"),
              plotOutput("histo", width = "600px", height = "600px")),
          tabPanel("Hypothesis Test",uiOutput("text2")),
          id="mytabs"
      )
    )
  ),    
  uiOutput("explainText")    
))

